#### 7.10.4.1 isFreeAlgebra

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  isFreeAlgebra(r); r a ring

Return:
  boolean

Purpose:
  check whether R is a letterplace ring (free algebra)

Example:

    LIB "freegb.lib";
    ring r = 0,(x,y,z),dp;
    isFreeAlgebra(r);
    ==> 0
    ring R = freeAlgebra(r, 7);
    isFreeAlgebra(R);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.